predictFun <- function(mY, pars1, pars2)
{
  ##matrise med prognoser:
  currentYear <- index(mY)[NROW(mY)]
  t1 <- currentYear - 5
  t2 <- currentYear + 2
  mYhat <- matrix(NA, 8, 3)
  colnames(mYhat) <- c("Y1hat", "X1t", "X2t")
  mYhat <- zoo(mYhat, order.by=t1:t2)
  
  ##putt faktiske verdier i mYhat:
  mYhat[1:6,] <- tail(mY, n=6)
  
  ##t+1 prognose: blanda frekvens likning
  mYhat[6,1] <- pars1[1] + pars1[2]*as.numeric(mYhat[5,"Y1hat"]) + pars1[3]*as.numeric(mYhat[6,"X1t"]) + pars1[4]*as.numeric(mYhat[6,"X2t"])

  ##t+2 og t+3 prognoser: ar(1) likning
  for(i in 7:8){
    mYhat[i,"Y1hat"] <- pars2[1] + pars2[2]*as.numeric(mYhat[i-1,"Y1hat"])
  }

  ##return:
  return(mYhat[,"Y1hat"])

} #close function
